## org.hibernate.event.def
Class AbstractLockUpgradeEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractLockUpgradeEventListener

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DefaultLoadEventListener, DefaultLockEventListener

    public class AbstractLockUpgradeEventListener

extends AbstractReassociateEventListener

A convenience base class for listeners that respond to requests to perform a pessimistic lock upgrade on an entity.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`AbstractLockUpgradeEventListener()`

Method Summary
`protected void` `upgradeLock(Object object, EntityEntry entry, LockOptions lockOptions, EventSource source)` Performs a pessimistic lock upgrade on a given entity, if needed.

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLockUpgradeEventListener

    public AbstractLockUpgradeEventListener()

Method Detail

### upgradeLock

    protected void upgradeLock(Object object,
                               EntityEntry entry,
                               LockOptions lockOptions,
                               EventSource source)

  Performs a pessimistic lock upgrade on a given entity, if needed.

  Parameters:
    `object` - The entity for which to upgrade the lock.
    `entry` - The entity's EntityEntry instance.
    `lockOptions` - contains the requested lock mode.
    `source` - The session which is the source of the event being processed.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.